import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import { Typography } from "@material-ui/core";

const useStyles = makeStyles(theme => ({
  box: {
    display: "flex",
    justifyContent: "space-between",
    marginBottom: theme.spacing(2),
    marginTop: theme.spacing(0)
  },
  title: { textTransform: "uppercase" }
}));

const PageTitle = ({ text }) => {
  var classes = useStyles();

  return (
    <div className={classes.box}>
      <Typography className={classes.title} variant="h3" size="sm">
        {text}
      </Typography>
    </div>
  );
};

export default PageTitle;
