import React from "react";
import { Route, Switch } from "react-router-dom";
import PageNotFound from "./PageNotFound";
import LoginContainer from "../../features/login/components/LoginContainer";
import NetworkContainer from "../../features/network/components/NetworkContainer";
import SettingsContainer from "../../features/settings/components/SettingsContainer";
import DashboardContainer from "../../features/dashboard/components/DashboardContainer";

const Switcher = () => {
  return (
    <Switch>
      <Route exact path="/dashboard" component={DashboardContainer} />
      <Route exact path="/user-profile" component={LoginContainer} />
      <Route exact path="/machines" component={NetworkContainer} />
      <Route exact path="/settings" component={SettingsContainer} />
      <Route component={PageNotFound} />
    </Switch>
  );
};

export default Switcher;
