import React, { Suspense } from "react";
import ReactDOM from "react-dom";
import { ThemeProvider } from "@material-ui/styles";
import Themes from "./themes";
import CssBaseline from "@material-ui/core/CssBaseline";
import App from "./components/App";
import { TuitioProvider } from "@flare/tuitio-client-react";
import ApplicationStateProvider from "./providers/ApplicationStateProvider";
import ToastProvider from "./providers/ToastProvider";
import "./utils/i18n";

ReactDOM.render(
  <TuitioProvider tuitioUrl={process.env.REACT_APP_TUITIO_URL}>
    <ApplicationStateProvider>
      <ThemeProvider theme={Themes.default}>
        <CssBaseline />
        <Suspense fallback={<div>Loading...</div>}>
          <ToastProvider>
            <App />
          </ToastProvider>
        </Suspense>
      </ThemeProvider>
    </ApplicationStateProvider>
  </TuitioProvider>,
  document.getElementById("root")
);
